# std::locale::~locale

From cppreference.com
< cpp‎ | locale‎ | locale

Defined in header `<locale>` |  |
~locale(); |  |

Non-virtual destructor which decrements reference counts of all facets held by `*this`. Those facets whose reference count becomes zero are deleted.

### Return value

(none)

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

### See also

(constructor) | constructs a new locale (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/locale/locale/%7Elocale&oldid=58160"